using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frilanseri
{
    class Program
    {
        static void Main(string[] args)
        {
            string s;
            int n = int.Parse(Console.ReadLine());
            double[] procenat = new double[n];
            double[] zarada = new double[n];
            double max = 0;
            double zbir = 0;
            for(int i = 0; i < n; i++)
            {
                s = Console.ReadLine();
                zarada[i] = double.Parse(s.Split(' ')[0]);
                procenat[i] = double.Parse(s.Split(' ')[1]);
            }
            for(int i = 0; i < n; i++)
            {
                zbir = 0;
                for (int j = 0; j < n; j++)
                {
                    if (procenat[i] <= procenat[j])
                    {
                        zbir += zarada[j] * procenat[i]/100;
                    }
                }
                if (zbir > max)
                    max = zbir;
            }
            Console.WriteLine(max);
            Console.ReadLine();
        }
    }
}